Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.resource
Class P13nCachedResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          com.bea.p13n.entitlements.resource.P13nResource
              com.bea.p13n.entitlements.resource.P13nCachedResource

All Implemented Interfaces
  Serializable, Resource, SelfDescribingResource, SelfDescribingResourceV2

Direct Known Subclasses:
  EnterpriseRoleResource, GlobalRoleResource, HierarchyRoleResource, LeafRoleResource, P13nLibraryResource, P13nSecurityResource, WebappRoleResource

    public abstract class P13nCachedResource

extends P13nResource

This abstract class provides base functionality for resource hierarchies that participate in WLS security. In particular, these resources can be used to locate role and security policies that have previously been created against the same logical hierarchy. Applications will typically use subclasses in com.bea.p13n.entitlements.resource instead of extending this class directly.

See Also
  Serialized Form

Field Summary
`protected static String` | `P13N_SECURITY_RESOURCE_CACHE` Cache the resource at application scope, so the application classloader can successfully free these objects during an app redeploy/undeploy

Fields inherited from class com.bea.p13n.entitlements.resource.P13nResource
`empty, idDelimiter, initialCapability, libraryResourceId`

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`P13nCachedResource()` No Args constructor
`P13nCachedResource(SecurityResource securityResource, String libraryResourceId, String initialCapability)` Construct fields for security and library resources.

Method Summary
`Resource` | `getParentResource()`
`Resource` | `makeParent()` Make and return the logical hierarchical parent of this `Resource`
`String` | `toString()`

Methods inherited from class com.bea.p13n.entitlements.resource.P13nResource
`getCapabilityName, getEntAppName, getKeys, getLibraryResourceId, getResourceName, getResourceScope, getSecurityResource, getType, getWebAppName, setInitialValues, setSecurityResource`

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, isTransitiveField, reset, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### P13N_SECURITY_RESOURCE_CACHE

    protected static final String P13N_SECURITY_RESOURCE_CACHE

  Cache the resource at application scope, so the application classloader can successfully free these objects during an app redeploy/undeploy

  See Also
    Constants Summary

Constructor Detail

### P13nCachedResource

    public P13nCachedResource(SecurityResource securityResource,
                              String libraryResourceId,
                              String initialCapability)

  Construct fields for security and library resources.

### P13nCachedResource

    public P13nCachedResource()

  No Args constructor

Method Detail

### makeParent

    public Resource makeParent()

  Description copied from class: `P13nResource`
  Make and return the logical hierarchical parent of this `Resource`

  Overrides:
    `makeParent` in class `P13nResource`
  Returns
    Resource represents the logical parent. Null represents the root of a hierarchy.

### toString

    public String toString()

  Specified by:
    `toString` in interface `Resource`
  Overrides:
    `toString` in class `P13nResource`

### getParentResource

    public Resource getParentResource()

  Specified by:
    `getParentResource` in interface `Resource`
  Overrides:
    `getParentResource` in class `P13nResource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.